Bug 834037 - [abrt] cherrytree-0.26-1.fc16: shutil.py:91:copymode:OSError: [Errno 1] Operazione non permessa: '/mnt/wInet/_fishCodeMdb/_cherry/testSql.ctb~'
[abrt] cherrytree-0.26-1.fc16: shutil.py:91:copymode:OSError: [Errno 1] Opera...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cherrytree (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
abrt_hash:f462725d48b8503df6127cbbe89...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 13:24 EDT by Scottino
Modified: 2012-10-23 05:49 EDT (History)
1 user (show)

See Also:
Fixed In Version: cherrytree-0.28-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-23 05:49:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scottino 2012-06-20 13:24:11 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/cherrytree
comment:        Saving a ctd file on a vfat partition
executable:     /usr/bin/cherrytree
kernel:         3.3.8-1.fc16.i686
reason:         shutil.py:91:copymode:OSError: [Errno 1] Operazione non permessa: '/mnt/wInet/_fishCodeMdb/_cherry/testSql.ctb~'
time:           mer 20 giu 2012 15:57:01 CEST
uid:            1000
username:       upecorino

backtrace:
:shutil.py:91:copymode:OSError: [Errno 1] Operazione non permessa: '/mnt/wInet/_fishCodeMdb/_cherry/testSql.ctb~'
:
:Traceback (most recent call last):
:  File "/usr/share/cherrytree/modules/core.py", line 1046, in file_save
:    elif self.file_write(os.path.join(self.file_dir, self.file_name), first_write=False):
:  File "/usr/share/cherrytree/modules/core.py", line 1126, in file_write
:    shutil.copy(filepath, filepath + cons.CHAR_TILDE)
:  File "/usr/lib/python2.7/shutil.py", line 118, in copy
:    copymode(src, dst)
:  File "/usr/lib/python2.7/shutil.py", line 91, in copymode
:    os.chmod(dst, mode)
:OSError: [Errno 1] Operazione non permessa: '/mnt/wInet/_fishCodeMdb/_cherry/testSql.ctb~'
:
:Local variables in innermost frame:
:src: '/mnt/wInet/_fishCodeMdb/_cherry/testSql.ctb'
:dst: '/mnt/wInet/_fishCodeMdb/_cherry/testSql.ctb~'
:mode: 511
:st: posix.stat_result(st_mode=33279, st_ino=69272L, st_dev=2059L, st_nlink=1, st_uid=0, st_gid=0, st_size=12288L, st_atime=1340200621, st_mtime=1340200605, st_ctime=1340200605)
Comment 1 Robin Lee 2012-08-31 00:12:13 EDT
Fixed in upstream 0.26.3
Comment 2 Fedora Update System 2012-09-29 05:18:55 EDT
cherrytree-0.27.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cherrytree-0.27.1-1.fc16
Comment 3 Fedora Update System 2012-09-29 22:27:58 EDT
Package cherrytree-0.27.1-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cherrytree-0.27.1-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15095/cherrytree-0.27.1-1.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-10-10 23:01:33 EDT
cherrytree-0.28-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cherrytree-0.28-1.fc16

Note You need to log in before you can comment on or make changes to this bug.